package cn.iocoder.yudao.module.chain.enums;

import cn.iocoder.yudao.framework.common.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

@Getter
@AllArgsConstructor
public enum ChainStatusEnum implements IntArrayValuable {

    ACTIVE(0, "激活"),
    FREEZE(1, "冻结");

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(ChainStatusEnum::getStatus).toArray();

    /**
     * 操作类型
     */
    private final Integer status;

    private final String name;

    @Override
    public int[] array() {
        return ARRAYS;
    }

}
